Allow building with ninja instead of CMake, see also:

  https://bugs.gentoo.org/649458
  https://cmake.org/pipermail/cmake/2015-April/060234.html

--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -332,7 +332,10 @@
   -DCMAKE_C_COMPILER=${CMAKE_C_COMPILER}
   -DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}
   -DCMAKE_INSTALL_PREFIX=${SQUIRREL_PREFIX}
-  -DINSTALL_INC_DIR=include)
+  -DINSTALL_INC_DIR=include
+  BUILD_BYPRODUCTS
+  squirrel/lib/libsquirrel_static.a
+  squirrel/lib/libsqstdlib_static.a)
 
 IF(WIN32)
 	ADD_LIBRARY(squirrel_lib SHARED IMPORTED)
@@ -370,7 +373,9 @@
   -DHAVE_SDL=ON
   -DCMAKE_INSTALL_PREFIX=${TINYGETTEXT_PREFIX}
   -DSDL2_INCLUDE_DIRS=${SDL2_INCLUDE_DIRS}
-  -DLIB_SUFFIX=${LIB_SUFFIX})
+  -DLIB_SUFFIX=${LIB_SUFFIX}
+  BUILD_BYPRODUCTS
+  tinygettext/lib${LIB_SUFFIX}/libtinygettext.a)
 
 ADD_LIBRARY(tinygettext_lib STATIC IMPORTED)
 SET_TARGET_PROPERTIES(tinygettext_lib PROPERTIES IMPORTED_LOCATION "${TINYGETTEXT_PREFIX}/lib${LIB_SUFFIX}/${CMAKE_STATIC_LIBRARY_PREFIX}tinygettext${CMAKE_STATIC_LIBRARY_SUFFIX}")
